Get one publication with recent posts.
curl --request GET \
--url https://dripstack.com/api/v1/publications/{publicationSlug}import requests
url = "https://dripstack.com/api/v1/publications/{publicationSlug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://dripstack.com/api/v1/publications/{publicationSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dripstack.com/api/v1/publications/{publicationSlug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dripstack.com/api/v1/publications/{publicationSlug}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dripstack.com/api/v1/publications/{publicationSlug}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dripstack.com/api/v1/publications/{publicationSlug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"siteUrl": "<string>",
"imageUrl": "<string>",
"language": "<string>",
"authorName": "<string>",
"authorEmail": "<string>",
"copyright": "<string>",
"lastSyncedAt": "<string>",
"posts": [
{
"slug": "<string>",
"title": "<string>",
"subtitle": "<string>",
"publishedAt": "<string>",
"priceCents": 2,
"isPodcast": true
}
]
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>",
"issues": {}
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>",
"reason": "<string>"
}Publications
Get one publication with recent posts.
GET
/
api
/
v1
/
publications
/
{publicationSlug}
Get one publication with recent posts.
curl --request GET \
--url https://dripstack.com/api/v1/publications/{publicationSlug}import requests
url = "https://dripstack.com/api/v1/publications/{publicationSlug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://dripstack.com/api/v1/publications/{publicationSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dripstack.com/api/v1/publications/{publicationSlug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dripstack.com/api/v1/publications/{publicationSlug}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dripstack.com/api/v1/publications/{publicationSlug}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dripstack.com/api/v1/publications/{publicationSlug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"siteUrl": "<string>",
"imageUrl": "<string>",
"language": "<string>",
"authorName": "<string>",
"authorEmail": "<string>",
"copyright": "<string>",
"lastSyncedAt": "<string>",
"posts": [
{
"slug": "<string>",
"title": "<string>",
"subtitle": "<string>",
"publishedAt": "<string>",
"priceCents": 2,
"isPodcast": true
}
]
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>",
"issues": {}
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>",
"reason": "<string>"
}Path Parameters
Publication slug, which is the normalized host.
Query Parameters
Maximum number of posts returned. When omitted, returns all posts with ready synthesized summaries.
Required range:
1 <= x <= 100Response
Publication details and post titles.
Normalized publication identifier.
Publication display name.
Publication description from the feed.
Canonical publication URL.
Publication avatar or logo URL.
BCP 47 language tag (e.g. en, es).
Primary author display name.
Author contact email from the feed.
Copyright notice from the feed.
ISO timestamp of the last successful feed sync.
Posts with ready synthesized summaries, newest first. Includes all available posts when limit is omitted.
Show child attributes
Show child attributes

